summaryrefslogtreecommitdiffstats
path: root/gis/osm2pgsql
diff options
context:
space:
mode:
Diffstat (limited to 'gis/osm2pgsql')
-rw-r--r--gis/osm2pgsql/README3
-rw-r--r--gis/osm2pgsql/osm2pgsql.SlackBuild36
-rw-r--r--gis/osm2pgsql/osm2pgsql.info18
-rw-r--r--gis/osm2pgsql/slack-desc2
4 files changed, 37 insertions, 22 deletions
diff --git a/gis/osm2pgsql/README b/gis/osm2pgsql/README
index c83188f770..4fa8d0224f 100644
--- a/gis/osm2pgsql/README
+++ b/gis/osm2pgsql/README
@@ -1,2 +1,5 @@
osm2pgsql is a utility program that converts OpenStreetMap data to
PostGIS-enabled PostgreSQL databases.
+
+Since version 1.10.0 osm2pgsql needs a 64 bit architecture. For 32 bit
+architectures you have to install osm2pgsql-legacy.
diff --git a/gis/osm2pgsql/osm2pgsql.SlackBuild b/gis/osm2pgsql/osm2pgsql.SlackBuild
index cf4ad3f47a..3131240f2d 100644
--- a/gis/osm2pgsql/osm2pgsql.SlackBuild
+++ b/gis/osm2pgsql/osm2pgsql.SlackBuild
@@ -1,7 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for osm2pgsql
# Copyright 2013-2021 Benjamin Trigona-Harany
+# Copyright 2024 Giancarlo Dessi, Cagliari, IT
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,10 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=osm2pgsql
-VERSION=${VERSION:-1.4.0}
+VERSION=${VERSION:-1.11.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -34,27 +38,35 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
+ARCH64="no"
+if [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+ ARCH64="yes"
else
- SLKCFLAGS="-O2"
+ SLKCFLAGS=""
LIBDIRSUFFIX=""
fi
set -e
+if [ $ARCH64 = "no" ]; then
+ echo "*****************************************"
+ echo "THIS PACKAGE DOES NOT SUPPORT YOUR SYSTEM"
+ echo "YOU NEED osm2pgsql-legacy package"
+ echo "*****************************************"
+ exit 1
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -97,4 +109,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/gis/osm2pgsql/osm2pgsql.info b/gis/osm2pgsql/osm2pgsql.info
index d5759a7b5a..c6c549619f 100644
--- a/gis/osm2pgsql/osm2pgsql.info
+++ b/gis/osm2pgsql/osm2pgsql.info
@@ -1,10 +1,10 @@
PRGNAM="osm2pgsql"
-VERSION="1.4.0"
-HOMEPAGE="https://wiki.openstreetmap.org/wiki/Osm2pgsql"
-DOWNLOAD="https://github.com/openstreetmap/osm2pgsql/archive/1.4.0/osm2pgsql-1.4.0.tar.gz"
-MD5SUM="c29fd353f58b4c1749268bb98a05898e"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES="luajit postgis"
-MAINTAINER="Benjamin Trigona-Harany"
-EMAIL="slackbuilds@jaxartes.net"
+VERSION="1.11.0"
+HOMEPAGE="https://osm2pgsql.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/osm2pgsql-dev/osm2pgsql/archive/1.11.0/osm2pgsql-1.11.0.tar.gz"
+MD5SUM_x86_64="20c445875232011522c39c533bfb2f21"
+REQUIRES="luajit nlohmann_json postgis"
+MAINTAINER="Giancarlo Dessi"
+EMAIL="slack@giand.it"
diff --git a/gis/osm2pgsql/slack-desc b/gis/osm2pgsql/slack-desc
index 2cdacd1cb3..82dc4e1c9f 100644
--- a/gis/osm2pgsql/slack-desc
+++ b/gis/osm2pgsql/slack-desc
@@ -11,7 +11,7 @@ osm2pgsql:
osm2pgsql: osm2pgsql is a utility program that converts OpenStreetMap data to
osm2pgsql: PostGIS-enabled PostgreSQL databases.
osm2pgsql:
-osm2pgsql: Homepage: http://wiki.openstreetmap.org/wiki/Osm2pgsql
+osm2pgsql: Homepage: https://osm2pgsql.org/
osm2pgsql:
osm2pgsql:
osm2pgsql: